Name: sugar-log-activity
Version: 42
Release: %mkrel 2
Summary: Log activity for Sugar
License: GPL
Group: Graphical desktop/Other
Url: https://wiki.laptop.org/go/Log
Source: https://download.sugarlabs.org/sources/sucrose/fructose/Log/Log-%{version}.tar.bz2
BuildArch: noarch
BuildRequires: gettext
BuildRequires: sugar-toolkit-gtk3
Requires: python3-gobject3
Requires: sugar-toolkit-gtk3

%description
Log is an activity for developers to examine the log files that are generated
by system software and other activities. Logs can also be uploaded to servers
to allow support staff to assist with troubleshooting.

%prep
%setup -q -n Log-%{version}

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --prefix=%{buildroot}/%{_prefix}

# fix .desktop file
sed -i -e 's!%{buildroot}!!g' %{buildroot}%{_datadir}/applications/*.desktop

# drop unneeded files
rm -rf %{buildroot}%{_datadir}/sugar/activities/*/setup.py
find %{buildroot} -name '*.py.orig' -delete

%find_lang org.laptop.Log

%files -f org.laptop.Log.lang
%doc NEWS
%license COPYING
%{_datadir}/applications/org.laptop.Log.activity.desktop
%{_datadir}/sugar/activities/Log.activity/


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 42-2.mga10
+ Revision: 2217450
- Mageia 10 Mass Rebuild

* Mon Jan 16 2023 daviddavid <daviddavid> 42-1.mga9
+ Revision: 1933858
- new version: 42

* Sat Dec 03 2022 umeabot <umeabot> 41-4.mga9
+ Revision: 1915517
- Mageia 9 Mass Rebuild

* Sat Dec 12 2020 wally <wally> 41-3.mga8
+ Revision: 1655852
- drop buildroot definition from .desktop files
- drop unneeded files
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Mon Oct 28 2019 wally <wally> 41-1.mga8
+ Revision: 1456368
- new version 41
- switch to python3

* Wed Mar 13 2019 wally <wally> 40-1.mga7
+ Revision: 1375695
- new version 40

* Wed Sep 19 2018 umeabot <umeabot> 37-3.mga7
+ Revision: 1276361
- Mageia 7 Mass Rebuild

* Fri Jun 09 2017 akien <akien> 37-2.mga6
+ Revision: 1107399
- Add desktop file

* Mon Jan 18 2016 zezinho <zezinho> 37-1.mga6
+ Revision: 925337
- new version

* Wed Oct 15 2014 umeabot <umeabot> 36-3.mga5
+ Revision: 746292
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 36-2.mga5
+ Revision: 689594
- Mageia 5 Mass Rebuild
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR

* Wed May 28 2014 zezinho <zezinho> 36-1.mga5
+ Revision: 627346
- new version

* Sat Nov 02 2013 fwang <fwang> 32-4.mga4
+ Revision: 549011
- correct br

* Fri Oct 18 2013 umeabot <umeabot> 32-3.mga4
+ Revision: 519359
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 32-2.mga3
+ Revision: 383664
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 zezinho <zezinho> 32-1.mga3
+ Revision: 326177
- fix build requires
- new version

* Wed Nov 21 2012 zezinho <zezinho> 28-1.mga3
+ Revision: 320125
- newversion

* Sat Nov 19 2011 zezinho <zezinho> 26-1.mga2
+ Revision: 169529
- new version
+ ennael <ennael>
- imported package sugar-log-activity


* Sat Sep 19 2009 Aleksey Lim <alsroot@mandriva.org> 23-1mdv2010.0
+ Revision: 444546
- Update to 23

* Tue Aug 11 2009 Aleksey Lim <alsroot@mandriva.org> 19-1mdv2010.0
+ Revision: 414903
- Sucrose 0.85.2

* Mon Apr 06 2009 Aleksey Lim <alsroot@mandriva.org> 18-1mdv2009.1
+ Revision: 364290
- Sucrose 0.84.2 release

* Mon Feb 23 2009 Aleksey Lim <alsroot@mandriva.org> 17-1mdv2009.1
+ Revision: 344229
- Sucrose 0.83.6 release

* Sun Jan 11 2009 Aleksey Lim <alsroot@mandriva.org> 16-1mdv2009.1
+ Revision: 328408
- initial commit

